// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: ProfileService.proto

package com.entrytask.server.rpc.common.grpc;

/**
 * Protobuf type {@code com.entrytask.server.rpc.common.grpc.pictureRequest}
 */
public  final class pictureRequest extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:com.entrytask.server.rpc.common.grpc.pictureRequest)
    pictureRequestOrBuilder {
private static final long serialVersionUID = 0L;
  // Use pictureRequest.newBuilder() to construct.
  private pictureRequest(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private pictureRequest() {
    username_ = "";
    picturePath_ = "";
    file_ = com.google.protobuf.ByteString.EMPTY;
    pictureName_ = "";
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new pictureRequest();
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return this.unknownFields;
  }
  private pictureRequest(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    if (extensionRegistry == null) {
      throw new java.lang.NullPointerException();
    }
    com.google.protobuf.UnknownFieldSet.Builder unknownFields =
        com.google.protobuf.UnknownFieldSet.newBuilder();
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          case 10: {
            java.lang.String s = input.readStringRequireUtf8();

            username_ = s;
            break;
          }
          case 18: {
            java.lang.String s = input.readStringRequireUtf8();

            picturePath_ = s;
            break;
          }
          case 26: {

            file_ = input.readBytes();
            break;
          }
          case 34: {
            java.lang.String s = input.readStringRequireUtf8();

            pictureName_ = s;
            break;
          }
          default: {
            if (!parseUnknownField(
                input, unknownFields, extensionRegistry, tag)) {
              done = true;
            }
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      this.unknownFields = unknownFields.build();
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.entrytask.server.rpc.common.grpc.ProfileServiceOuterClass.internal_static_com_entrytask_server_rpc_common_grpc_pictureRequest_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.entrytask.server.rpc.common.grpc.ProfileServiceOuterClass.internal_static_com_entrytask_server_rpc_common_grpc_pictureRequest_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.entrytask.server.rpc.common.grpc.pictureRequest.class, com.entrytask.server.rpc.common.grpc.pictureRequest.Builder.class);
  }

  public static final int USERNAME_FIELD_NUMBER = 1;
  private volatile java.lang.Object username_;
  /**
   * <code>string username = 1;</code>
   */
  public java.lang.String getUsername() {
    java.lang.Object ref = username_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      username_ = s;
      return s;
    }
  }
  /**
   * <code>string username = 1;</code>
   */
  public com.google.protobuf.ByteString
      getUsernameBytes() {
    java.lang.Object ref = username_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      username_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int PICTUREPATH_FIELD_NUMBER = 2;
  private volatile java.lang.Object picturePath_;
  /**
   * <code>string picturePath = 2;</code>
   */
  public java.lang.String getPicturePath() {
    java.lang.Object ref = picturePath_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      picturePath_ = s;
      return s;
    }
  }
  /**
   * <code>string picturePath = 2;</code>
   */
  public com.google.protobuf.ByteString
      getPicturePathBytes() {
    java.lang.Object ref = picturePath_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      picturePath_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int FILE_FIELD_NUMBER = 3;
  private com.google.protobuf.ByteString file_;
  /**
   * <code>bytes file = 3;</code>
   */
  public com.google.protobuf.ByteString getFile() {
    return file_;
  }

  public static final int PICTURENAME_FIELD_NUMBER = 4;
  private volatile java.lang.Object pictureName_;
  /**
   * <code>string pictureName = 4;</code>
   */
  public java.lang.String getPictureName() {
    java.lang.Object ref = pictureName_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      pictureName_ = s;
      return s;
    }
  }
  /**
   * <code>string pictureName = 4;</code>
   */
  public com.google.protobuf.ByteString
      getPictureNameBytes() {
    java.lang.Object ref = pictureName_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      pictureName_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (!getUsernameBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessageV3.writeString(output, 1, username_);
    }
    if (!getPicturePathBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessageV3.writeString(output, 2, picturePath_);
    }
    if (!file_.isEmpty()) {
      output.writeBytes(3, file_);
    }
    if (!getPictureNameBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessageV3.writeString(output, 4, pictureName_);
    }
    unknownFields.writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (!getUsernameBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, username_);
    }
    if (!getPicturePathBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, picturePath_);
    }
    if (!file_.isEmpty()) {
      size += com.google.protobuf.CodedOutputStream
        .computeBytesSize(3, file_);
    }
    if (!getPictureNameBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessageV3.computeStringSize(4, pictureName_);
    }
    size += unknownFields.getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof com.entrytask.server.rpc.common.grpc.pictureRequest)) {
      return super.equals(obj);
    }
    com.entrytask.server.rpc.common.grpc.pictureRequest other = (com.entrytask.server.rpc.common.grpc.pictureRequest) obj;

    if (!getUsername()
        .equals(other.getUsername())) return false;
    if (!getPicturePath()
        .equals(other.getPicturePath())) return false;
    if (!getFile()
        .equals(other.getFile())) return false;
    if (!getPictureName()
        .equals(other.getPictureName())) return false;
    if (!unknownFields.equals(other.unknownFields)) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    hash = (37 * hash) + USERNAME_FIELD_NUMBER;
    hash = (53 * hash) + getUsername().hashCode();
    hash = (37 * hash) + PICTUREPATH_FIELD_NUMBER;
    hash = (53 * hash) + getPicturePath().hashCode();
    hash = (37 * hash) + FILE_FIELD_NUMBER;
    hash = (53 * hash) + getFile().hashCode();
    hash = (37 * hash) + PICTURENAME_FIELD_NUMBER;
    hash = (53 * hash) + getPictureName().hashCode();
    hash = (29 * hash) + unknownFields.hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static com.entrytask.server.rpc.common.grpc.pictureRequest parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.entrytask.server.rpc.common.grpc.pictureRequest prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.entrytask.server.rpc.common.grpc.pictureRequest}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.entrytask.server.rpc.common.grpc.pictureRequest)
      com.entrytask.server.rpc.common.grpc.pictureRequestOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.entrytask.server.rpc.common.grpc.ProfileServiceOuterClass.internal_static_com_entrytask_server_rpc_common_grpc_pictureRequest_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.entrytask.server.rpc.common.grpc.ProfileServiceOuterClass.internal_static_com_entrytask_server_rpc_common_grpc_pictureRequest_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.entrytask.server.rpc.common.grpc.pictureRequest.class, com.entrytask.server.rpc.common.grpc.pictureRequest.Builder.class);
    }

    // Construct using com.entrytask.server.rpc.common.grpc.pictureRequest.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessageV3
              .alwaysUseFieldBuilders) {
      }
    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      username_ = "";

      picturePath_ = "";

      file_ = com.google.protobuf.ByteString.EMPTY;

      pictureName_ = "";

      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.entrytask.server.rpc.common.grpc.ProfileServiceOuterClass.internal_static_com_entrytask_server_rpc_common_grpc_pictureRequest_descriptor;
    }

    @java.lang.Override
    public com.entrytask.server.rpc.common.grpc.pictureRequest getDefaultInstanceForType() {
      return com.entrytask.server.rpc.common.grpc.pictureRequest.getDefaultInstance();
    }

    @java.lang.Override
    public com.entrytask.server.rpc.common.grpc.pictureRequest build() {
      com.entrytask.server.rpc.common.grpc.pictureRequest result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public com.entrytask.server.rpc.common.grpc.pictureRequest buildPartial() {
      com.entrytask.server.rpc.common.grpc.pictureRequest result = new com.entrytask.server.rpc.common.grpc.pictureRequest(this);
      result.username_ = username_;
      result.picturePath_ = picturePath_;
      result.file_ = file_;
      result.pictureName_ = pictureName_;
      onBuilt();
      return result;
    }

    @java.lang.Override
    public Builder clone() {
      return super.clone();
    }
    @java.lang.Override
    public Builder setField(
        com.google.protobuf.Descriptors.FieldDescriptor field,
        java.lang.Object value) {
      return super.setField(field, value);
    }
    @java.lang.Override
    public Builder clearField(
        com.google.protobuf.Descriptors.FieldDescriptor field) {
      return super.clearField(field);
    }
    @java.lang.Override
    public Builder clearOneof(
        com.google.protobuf.Descriptors.OneofDescriptor oneof) {
      return super.clearOneof(oneof);
    }
    @java.lang.Override
    public Builder setRepeatedField(
        com.google.protobuf.Descriptors.FieldDescriptor field,
        int index, java.lang.Object value) {
      return super.setRepeatedField(field, index, value);
    }
    @java.lang.Override
    public Builder addRepeatedField(
        com.google.protobuf.Descriptors.FieldDescriptor field,
        java.lang.Object value) {
      return super.addRepeatedField(field, value);
    }
    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.entrytask.server.rpc.common.grpc.pictureRequest) {
        return mergeFrom((com.entrytask.server.rpc.common.grpc.pictureRequest)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.entrytask.server.rpc.common.grpc.pictureRequest other) {
      if (other == com.entrytask.server.rpc.common.grpc.pictureRequest.getDefaultInstance()) return this;
      if (!other.getUsername().isEmpty()) {
        username_ = other.username_;
        onChanged();
      }
      if (!other.getPicturePath().isEmpty()) {
        picturePath_ = other.picturePath_;
        onChanged();
      }
      if (other.getFile() != com.google.protobuf.ByteString.EMPTY) {
        setFile(other.getFile());
      }
      if (!other.getPictureName().isEmpty()) {
        pictureName_ = other.pictureName_;
        onChanged();
      }
      this.mergeUnknownFields(other.unknownFields);
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.entrytask.server.rpc.common.grpc.pictureRequest parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.entrytask.server.rpc.common.grpc.pictureRequest) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private java.lang.Object username_ = "";
    /**
     * <code>string username = 1;</code>
     */
    public java.lang.String getUsername() {
      java.lang.Object ref = username_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        username_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>string username = 1;</code>
     */
    public com.google.protobuf.ByteString
        getUsernameBytes() {
      java.lang.Object ref = username_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        username_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>string username = 1;</code>
     */
    public Builder setUsername(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      username_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>string username = 1;</code>
     */
    public Builder clearUsername() {
      
      username_ = getDefaultInstance().getUsername();
      onChanged();
      return this;
    }
    /**
     * <code>string username = 1;</code>
     */
    public Builder setUsernameBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      username_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object picturePath_ = "";
    /**
     * <code>string picturePath = 2;</code>
     */
    public java.lang.String getPicturePath() {
      java.lang.Object ref = picturePath_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        picturePath_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>string picturePath = 2;</code>
     */
    public com.google.protobuf.ByteString
        getPicturePathBytes() {
      java.lang.Object ref = picturePath_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        picturePath_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>string picturePath = 2;</code>
     */
    public Builder setPicturePath(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      picturePath_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>string picturePath = 2;</code>
     */
    public Builder clearPicturePath() {
      
      picturePath_ = getDefaultInstance().getPicturePath();
      onChanged();
      return this;
    }
    /**
     * <code>string picturePath = 2;</code>
     */
    public Builder setPicturePathBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      picturePath_ = value;
      onChanged();
      return this;
    }

    private com.google.protobuf.ByteString file_ = com.google.protobuf.ByteString.EMPTY;
    /**
     * <code>bytes file = 3;</code>
     */
    public com.google.protobuf.ByteString getFile() {
      return file_;
    }
    /**
     * <code>bytes file = 3;</code>
     */
    public Builder setFile(com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      file_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>bytes file = 3;</code>
     */
    public Builder clearFile() {
      
      file_ = getDefaultInstance().getFile();
      onChanged();
      return this;
    }

    private java.lang.Object pictureName_ = "";
    /**
     * <code>string pictureName = 4;</code>
     */
    public java.lang.String getPictureName() {
      java.lang.Object ref = pictureName_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        pictureName_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>string pictureName = 4;</code>
     */
    public com.google.protobuf.ByteString
        getPictureNameBytes() {
      java.lang.Object ref = pictureName_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        pictureName_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>string pictureName = 4;</code>
     */
    public Builder setPictureName(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      pictureName_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>string pictureName = 4;</code>
     */
    public Builder clearPictureName() {
      
      pictureName_ = getDefaultInstance().getPictureName();
      onChanged();
      return this;
    }
    /**
     * <code>string pictureName = 4;</code>
     */
    public Builder setPictureNameBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      pictureName_ = value;
      onChanged();
      return this;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:com.entrytask.server.rpc.common.grpc.pictureRequest)
  }

  // @@protoc_insertion_point(class_scope:com.entrytask.server.rpc.common.grpc.pictureRequest)
  private static final com.entrytask.server.rpc.common.grpc.pictureRequest DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.entrytask.server.rpc.common.grpc.pictureRequest();
  }

  public static com.entrytask.server.rpc.common.grpc.pictureRequest getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<pictureRequest>
      PARSER = new com.google.protobuf.AbstractParser<pictureRequest>() {
    @java.lang.Override
    public pictureRequest parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return new pictureRequest(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<pictureRequest> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<pictureRequest> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public com.entrytask.server.rpc.common.grpc.pictureRequest getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

